{
    "name": "templateexpress",
    "version": "1.0.0",
    "description": "",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "test": "jest",
        "build": "tsc -p tsconfig.back.json",
        "start": "node ./dist/server.js",
        "watch": "npm run build && (tsc -p tsconfig.back.json -watch | nodemon ./dist/server.js)",
        "doc:clean": "rimraf docs",
        "doc:apidoc": "apidoc -i ./src/ -o ./docs/api/",
        "doc": "npm run doc:clean && npm run doc:apidoc",
        "docker": "docker-compose up -d --no-deps --build template",
        "compose": "npm install && npm run watch",
        "clean": "rimraf dist",
        "tslint": "tslint -c tslint.json '{src/**/*.ts,!src/__front__/**/.ts}'",
        "prettier": "prettier --write './src/**/*.ts'",
        "precommit": "npm run prettier && npm run tslint && npm run build"
    },
    "author": "Thomas BRUNET",
    "license": "ISC",
    "engines": {
        "node": ">=8.9.0"
    },
    "apidoc": {
        "name": "example",
        "version": "0.1.0",
        "description": "apiDoc basic example",
        "title": "Custom apiDoc browser title",
        "url": "https://localhost:3000/api/"
    },
    "dependencies": {
        "ajv": "^6.7.0",
        "amqplib": "^0.5.3",
        "app-root-path": "^2.1.0",
        "body-parser": "^1.18.3",
        "cors": "^2.8.5",
        "express": "^4.16.4",
        "express-json-validator-middleware": "^1.2.3",
        "helmet": "^3.15.0",
        "http-status": "^1.3.1",
        "lodash": "^4.17.11",
        "mongodb": "^3.1.10",
        "mongoose": "^5.4.13",
        "path-to-regexp": "^3.0.0",
        "request": "^2.88.0",
        "request-promise": "^4.2.2",
        "uuid": "^3.3.2",
        "winston": "^3.1.0"
    },
    "devDependencies": {
        "@types/amqplib": "^0.5.10",
        "@types/app-root-path": "^1.2.4",
        "@types/bcrypt": "^3.0.0",
        "@types/body-parser": "^1.17.0",
        "@types/cors": "^2.8.4",
        "@types/express": "^4.16.0",
        "@types/express-winston": "^3.0.0",
        "@types/helmet": "0.0.42",
        "@types/http-status": "^0.2.30",
        "@types/jest": "^26.0.14",
        "@types/mongodb": "^3.1.18",
        "@types/mongoose": "^5.3.7",
        "@types/request": "^2.48.1",
        "@types/request-promise": "^4.1.42",
        "@types/uuid": "^3.4.4",
        "@types/validator": "^10.9.0",
        "apidoc": "^0.17.7",
        "husky": "^1.3.1",
        "jest": "^26.5.3",
        "jest-html-reporter": "^3.3.0",
        "nodemon": "^1.18.10",
        "prettier": "^1.16.4",
        "rimraf": "^2.6.3",
        "tslint": "^5.12.0",
        "tslint-config-prettier": "^1.17.0",
        "typedoc": "^0.14.0",
        "typescript": "^3.2.2"
    },
    "husky": {
        "hooks": {
            "pre-commit": "npm run precommit"
        }
    }
}
